## org.eclipse.datatools.enablement.sybase.containment
Class PrivilegeContainmentProvider

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.containment.AbstractContainmentProvider
          org.eclipse.datatools.enablement.sybase.containment.PrivilegeContainmentProvider

All Implemented Interfaces:
  org.eclipse.datatools.connectivity.sqm.internal.core.containment.ContainmentProvider

    public class PrivilegeContainmentProvider

extends AbstractContainmentProvider

Logical containment provider for privilege

Author:
  Idull

Constructor Summary
`PrivilegeContainmentProvider()`

Method Summary
`java.lang.String` `getGroupId(org.eclipse.emf.ecore.EObject obj)`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.core.containment.AbstractContainmentProvider
`getContainedElements, getContainer, getContainmentFeature, isDisplayableElement`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrivilegeContainmentProvider

    public PrivilegeContainmentProvider()

Method Detail

### getGroupId

    public java.lang.String getGroupId(org.eclipse.emf.ecore.EObject obj)